REST Documentation

View InboundXML Docs

Record Call

TelAPI offers a way to both initiate or end a call recording. Both processes are achieved using the same method on the same URI, the parameters sent are what determines whether a recording will start or end if it is already in-progress.

Request URI

A call recording can be either initiated or ended using an HTTP POST on the URI below with the correct parameter values for each desired behavior.

POST https://api.telapi.com/v1/Accounts/{AccountSid}/Calls/{CallSid}/Recordings

Parameters

The parameters below are used to specify the request behavior.

Parameter Description
required
Specifies if call recording should begin or end. To start recording a call, value must be true. To stop recording a call, value must be false.
Allowed Value:
true or false
optional
Specifies which stream of call audio to record. "in" to record the incoming caller audio, "out" to record the out going caller audio, or "both" to record all audio on the call.
Default Value:
both
Allowed Value:
in, out, both
optional
The time in seconds the duration a call recording should not exceed. If no value specified, recordings are 60 seconds by default.
Allowed Value:
integer greater than or equal to 0
optional
URL where recording information will be relayed to after it has completed.
optional
Used to specify the file format this recording should be returned as. If omitted, the default format is mp3.
Default Value:
mp3
Allowed Value:
mp3 or wav
optional
trim any extraneous silence from the recording
Default Value:
false
Allowed Value:
true or false
optional
specifies if this recording should be transcribed.
Default Value:
false
Allowed Value:
true or false
optional
Specifies the quality used to process the transcription.
Default Value:
auto
Allowed Value:
auto, silver, gold, or platinum
optional
URL where transcription information will be relayed to after it has completed.

callbackUrl Request Parameters

In addition to the default voice request parameters, these call recording specific parameters are also forwarded to the callbackUrl.

Parameter Description
Any digits input during the recording.
Length of the recording.
The URL where the recording file is located.

Example Response

An example of what a response to a record request may look like is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.